/**
 * Multibanking REST Api
 * Use a bank code (blz) ending with X00 000 00 like 300 000 00 to run aggainst the mock backend. Find the mock backend at ${hostname}:10010
 *
 * OpenAPI spec version: 5.4.5-SNAPSHOT
 * Contact: age@adorsys.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { ChallengeDataTO } from './challengeDataTO';
import { Link } from './link';
import { TanTransportTypeTO } from './tanTransportTypeTO';


export interface ResourceUpdateAuthResponseTO { 
    _links?: Array<Link>;
    /**
     * It is contained in addition to the data element 'chosenScaMethod' if challenge data is needed for SCA.
     */
    challenge?: ChallengeDataTO;
    /**
     * Text to be displayed to the PSU
     */
    psuMessage?: string;
    /**
     * Type of sca approach to identify challenge handling
     */
    scaApproach?: ResourceUpdateAuthResponseTO.ScaApproachEnum;
    /**
     * This data element might be contained, if SCA is required and if the PSU has a choice between different authentication methods. These methods shall be presented towards the PSU for selection by the TPP.
     */
    scaMethods?: Array<TanTransportTypeTO>;
    scaStatus?: ResourceUpdateAuthResponseTO.ScaStatusEnum;
}
export namespace ResourceUpdateAuthResponseTO {
    export type ScaApproachEnum = 'EMBEDDED' | 'REDIRECT' | 'DECOUPLED' | 'OAUTH' | 'OAUTH_PRESTEP';
    export const ScaApproachEnum = {
        EMBEDDED: 'EMBEDDED' as ScaApproachEnum,
        REDIRECT: 'REDIRECT' as ScaApproachEnum,
        DECOUPLED: 'DECOUPLED' as ScaApproachEnum,
        OAUTH: 'OAUTH' as ScaApproachEnum,
        OAUTHPRESTEP: 'OAUTH_PRESTEP' as ScaApproachEnum
    };
    export type ScaStatusEnum = 'RECEIVED' | 'STARTED' | 'PSUIDENTIFIED' | 'PSUAUTHENTICATED' | 'SCAMETHODSELECTED' | 'FINALISED' | 'FAILED' | 'EXEMPTED';
    export const ScaStatusEnum = {
        RECEIVED: 'RECEIVED' as ScaStatusEnum,
        STARTED: 'STARTED' as ScaStatusEnum,
        PSUIDENTIFIED: 'PSUIDENTIFIED' as ScaStatusEnum,
        PSUAUTHENTICATED: 'PSUAUTHENTICATED' as ScaStatusEnum,
        SCAMETHODSELECTED: 'SCAMETHODSELECTED' as ScaStatusEnum,
        FINALISED: 'FINALISED' as ScaStatusEnum,
        FAILED: 'FAILED' as ScaStatusEnum,
        EXEMPTED: 'EXEMPTED' as ScaStatusEnum
    };
}
