/*
 * Copyright 2018-2019 adorsys GmbH & Co KG
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.adorsys.multibanking.domain;

import lombok.*;

import java.io.Serializable;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(onlyExplicitlyIncluded = true)
public class TanTransportType implements Serializable {

    @EqualsAndHashCode.Include
    private String id;
    private String name;
    private String medium;
    private String inputInfo;
    private boolean needTanMedia;
    private AuthenticationType type;

    private int timeoutDecoupledFirstStatusRequest;
    private int timeoutDecoupledNextStatusRequest;
    private int decoupledMaxStatusRequests;
}
